/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.fidentis.analyst.feature.services;

import cz.fidentis.analyst.feature.FeaturePoint;
import cz.fidentis.analyst.feature.services.FeaturePointCsvLoader;

import java.io.IOException;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.List;

import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.DisplayName;

/**
 * @author Jakub Kolman
 */
public class FeaturePointExportServiceTest {

    private static final Path MODEL_TEST_FILE_DIRECTORY = Paths.get("src", "test", "resources", "cz", "fidentis", "analyst", "feature", "services");
    private static final String MODEL_FILE = "00007_01_landmarks.csv";

    @DisplayName("Test writing a CSV file")
    @Test
    void exportFeaturePointsCSVTest() throws IOException {
        FeaturePointExportService service = new FeaturePointExportService();
        List<FeaturePoint> featurePoints = loadFeaturePoints();
        service.exportFeaturePoints(featurePoints, MODEL_TEST_FILE_DIRECTORY.toString() + "test_file_csv", "CSV");
    }

    @DisplayName("Test writing a FP file")
    @Test
    void exportFeaturePointsFPTest() throws IOException {
        FeaturePointExportService service = new FeaturePointExportService();
        List<FeaturePoint> featurePoints = loadFeaturePoints();
        service.exportFeaturePoints(featurePoints, MODEL_TEST_FILE_DIRECTORY.toString() + "test_file_fp", "FP");
    }

    private List<FeaturePoint> loadFeaturePoints() throws IOException {
        FeaturePointCsvLoader service = new FeaturePointCsvLoader();
        List<FeaturePoint> featurePoints = service.loadFeaturePoints(MODEL_TEST_FILE_DIRECTORY.toString(), MODEL_FILE);
        return featurePoints;

    }
}
